NE_SET_SESSION_FLAG(3)

NAME
ne_set_session_flag, ne_get_session_flag - set and retrieve session flags

SYNOPSIS

#include <ne_request.h>

void ne_set_session_flag(ne_session *sess, ne_session_flag flag, int value);

int ne_get_session_flag(ne_session *sess, ne_session_flag flag);

DESCRIPTION

The ne_set_session_flag function enables or disables a session flag. Passing a non-zero value argument enables the flag, and zero disables it.

The following flags are defined:

NE_SESSFLAG_PERSIST
    disable this flag to prevent use of persistent connections

NE_SESSFLAG_ICYPROTO
    enable this flag to enable support for non-HTTP ShoutCast-style "ICY" responses

NE_SESSFLAG_SSLv2
    disable this flag to disable support for the SSLv2 protocol

NE_SESSFLAG_RFC4918
    enable this flag to enable support for RFC4918-only WebDAV features; losing backwards-compatibility with RFC2518 servers

NE_SESSFLAG_CONNAUTH
    enable this flag if an RFC-violating connection-based HTTP authentication scheme is in use

NE_SESSFLAG_TLS_SNI
    disable this flag if a server is used which does not correctly support the TLS SNI extension

RETURN VALUE

The ne_get_session_flag function returns zero if a flag is disabled, less than zero if the flag is not supported, or greater than zero if the flag is enabled.

SEE ALSO

ne_session_create.

AUTHOR

Joe Orton <neon@lists.manyfish.co.uk>

    Author.

COPYRIGHT